Bug 180143 - Old driver path in odbcinst.ini
Old driver path in odbcinst.ini
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: postgresql-odbc (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 04:25 EST by Yubin Lim
Modified: 2013-07-02 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 20:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yubin Lim 2006-02-06 04:25:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ko; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
/etc/odbcinst.ini has old postgresql odbc driver path. new version of odbc driver is /usr/lib64 in FC5.x86_64!!

Version-Release number of selected component (if applicable):
postgresql-odbc-08.01.0200-1

How reproducible:
Always

Steps to Reproduce:
1. cat /etc/odbcinst.ini
2. ls /usr/lib/libodbc*

Actual Results:  result of 1.
# Example driver definitinions
#
#

# Included in the unixODBC package
[PostgreSQL]
Description     = ODBC for PostgreSQL
Driver          = /usr/lib/libodbcpsql.so
Setup           = /usr/lib/libodbcpsqlS.so
FileUsage       = 1


# Driver from the MyODBC package
# Setup from the unixODBC package
#[MySQL]
#Description    = ODBC for MySQL
#Driver         = /usr/lib/libmyodbc.so
#Setup          = /usr/lib/libodbcmyS.so

result of 2.
ls: /usr/lib/libodbc*: No such file or directory


Expected Results:  New postgresql odbc driver for x86_64 is /usr/lib64 and has new name - psqlodbc.so
postgresql-odbc rpm has to change new driver path.

Additional info:

mysql-connector-odbc too!
Comment 1 Tom Lane 2006-02-06 14:12:03 EST
It's not possible to simply change this to /usr/lib64, because the contents of
/etc/odbcinst.ini have to be the same in the 32- and 64-bit RPMs (else there's a
conflict when both are installed on the same machine).

Ulrich Drepper suggested that it might work to say
Driver          = $ORIGIN/libodbcpsql.so
Apparently $ORIGIN is a magic token recognized by dlopen() that effectively
means "same directory the calling library is in".  Would you check and see
if that helps for you?
Comment 3 Matthew Miller 2007-04-06 12:18:12 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 petrosyan 2008-03-10 20:17:32 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.